/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasO extends GraphCanvasD{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasO(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(state.EfieldCart2yMax);
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(false);
	setPhiAngle((int)state.phi_angle);
	setType(4);
	setLabels("\u03b8 = 90.0\u00ba plane","[ V/m ]","\u03c6  [degrees]");
	//setRefPoint(state.w);
	setPolar(state.IsPolar);
	plot(state.x_polar,state.ephiy);
   }
   
}
